<!-- デバッグ情報 -->
<h2 style="margin-top: 4rem">Hugo Variables</h2>

<h3>.TableOfContents</h3>
{{ .TableOfContents }}

<h3>.Sections</h3>
{{- with .Sections }}
<ol>
  {{ range . -}}
  <li><a href="{{ .RelPermalink }}">{{ .RelPermalink }}</a></li>
  {{- end }}
</ol>
{{- end }}

<h3>.Pages</h3>
{{- with .Pages }}
<ol>
  {{ range . -}}
  <li><a href="{{ .RelPermalink }}">{{ .RelPermalink }}</a></li>
  {{- end }}
</ol>
{{- end }}

<h3>.Resources</h3>
{{- with .Resources }}
<ol>
  {{ range . -}}
  <li><a href="{{ .RelPermalink }}">{{ .RelPermalink }}</a></li>
  {{- end }}
</ol>
{{- end }}

<h3>Variables</h3>

<ul>
  <li>.RelPermalink = {{ .RelPermalink }}</li>
  <li>.Kind = {{ .Kind }}</li>
  <li>.IsHome = {{ .IsHome }}</li>
  <li>.IsSection = {{ .IsSection }}</li>
  <li>.IsPage = {{ .IsPage }}</li>
  <li>.Parent = {{ .Parent }}</li>
  <li>.Section = {{ .Section }}</li>
  <li>.CurrentSection = {{ .CurrentSection }}</li>
</ul>
  
<ul>
  <li>.Title = {{ .Title }}</li>
  <li>.Description = {{ .Description }}</li>
  <li>.Summary = {{ .Summary }}</li>
  <li>.Keywords = {{ .Keywords }}</li>
  <li>.Weight = {{ .Weight }}</li>
  <li>.Draft = {{ .Draft }}</li>
  <li>.Date = {{ .Date }}</li>
  <li>.ExpiryDate = {{ .ExpiryDate }}</li>
  <li>.PublishDate = {{ .PublishDate }}</li>
  <li>.Aliases = {{ .Aliases }}</li>
</ul>

<ul>
  <li>.Type = {{ .Type }}</li>
  <li>.Data.Singular = {{ .Data.Singular }}</li>
  <li>.Data.Plural = {{ .Data.Plural }}</li>
</ul>

<h3>.Params</h3>
{{- with .Params }}
<ul>
  {{ range $key,$value := . -}}
  <li>{{ $key }} = {{ $value }}</li>
  {{- end }}
</ul>
{{- end }}

<h3>.Site.Params</h3>
{{- with .Site.Params }}
<ul>
  {{ range $key,$value := . -}}
  <li>{{ $key }} = {{ $value }}</li>
  {{- end }}
</ul>
{{- end }}

<h3>.Param.tags</h3>
{{- with .Params.tags }}
<ul>
  {{ range . -}}
  <li>{{ . }}</li>
  {{- end }}
</ul>
{{- end }}

<h3>.Param.categories</h3>
{{- with .Params.categories }}
<ul>
  {{ range . -}}
  <li>{{ . }}</li>
  {{- end }}
</ul>
{{- end }}
